<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>Maneuver.Action (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Maneuver.Action (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Maneuver.Action.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/Maneuver.Action.html" target="_top">Frames</a></li>
<li><a href="Maneuver.Action.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.routing</div>
<h2 title="Enum Maneuver.Action" class="title">Enum Maneuver.Action</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.routing.Maneuver.Action</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a>&gt;</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing">Maneuver</a></dd>
</dl>
<hr>
<br>
<pre>public static enum <span class="typeNameLabel">Maneuver.Action</span>
extends java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a>&gt;</pre>
<div class="block">Represents values describing the possible actions of a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#CHANGE_HIGHWAY">CHANGE_HIGHWAY</a></span></code>
<div class="block">An action that indicates changing from one highway to another.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#CHANGE_LINE">CHANGE_LINE</a></span></code>
<div class="block">An action that indicates transit line change.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#CONTINUE_HIGHWAY">CONTINUE_HIGHWAY</a></span></code>
<div class="block">An action that indicates continuing along a highway.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#END">END</a></span></code>
<div class="block">An action that indicates the end of a route.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#ENTER_HIGHWAY">ENTER_HIGHWAY</a></span></code>
<div class="block">An action that indicates entering a highway.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#ENTER_HIGHWAY_FROM_LEFT">ENTER_HIGHWAY_FROM_LEFT</a></span></code>
<div class="block">An action that indicates entering a highway from the left.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#ENTER_HIGHWAY_FROM_RIGHT">ENTER_HIGHWAY_FROM_RIGHT</a></span></code>
<div class="block">An action that indicates entering a highway from the right.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#FERRY">FERRY</a></span></code>
<div class="block">An action that indicates boarding a ferry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#HEAD_TO">HEAD_TO</a></span></code>
<div class="block">An action that indicates heading.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#INVALID">INVALID</a></span></code>
<div class="block">An invalid action.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#JUNCTION">JUNCTION</a></span></code>
<div class="block">An action that indicates a junction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#LEAVE_HIGHWAY">LEAVE_HIGHWAY</a></span></code>
<div class="block">An action that indicates leaving a highway.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#NO_ACTION">NO_ACTION</a></span></code>
<div class="block">An indication that there is no action associated with the maneuver.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#PASS_JUNCTION">PASS_JUNCTION</a></span></code>
<div class="block">An action that indicates passing a junction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#PASS_STATION">PASS_STATION</a></span></code>
<div class="block">An action that indicates passing a station.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#ROUNDABOUT">ROUNDABOUT</a></span></code>
<div class="block">An action that indicates a roundabout.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#STOPOVER">STOPOVER</a></span></code>
<div class="block">An action that indicates a stopover.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#UNDEFINED">UNDEFINED</a></span></code>
<div class="block">An undefined action (the default), avoided for real maneuvers.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#UTURN">UTURN</a></span></code>
<div class="block">An action that indicates a u-turn.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#value--">value</a></span>()</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="UNDEFINED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNDEFINED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> UNDEFINED</pre>
<div class="block">An undefined action (the default), avoided for real maneuvers.</div>
</li>
</ul>
<a name="NO_ACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_ACTION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> NO_ACTION</pre>
<div class="block">An indication that there is no action associated with the maneuver.</div>
</li>
</ul>
<a name="END">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>END</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> END</pre>
<div class="block">An action that indicates the end of a route.</div>
</li>
</ul>
<a name="STOPOVER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STOPOVER</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> STOPOVER</pre>
<div class="block">An action that indicates a stopover.</div>
</li>
</ul>
<a name="JUNCTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JUNCTION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> JUNCTION</pre>
<div class="block">An action that indicates a junction.</div>
</li>
</ul>
<a name="ROUNDABOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROUNDABOUT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> ROUNDABOUT</pre>
<div class="block">An action that indicates a roundabout.</div>
</li>
</ul>
<a name="UTURN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UTURN</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> UTURN</pre>
<div class="block">An action that indicates a u-turn.</div>
</li>
</ul>
<a name="ENTER_HIGHWAY_FROM_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENTER_HIGHWAY_FROM_RIGHT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> ENTER_HIGHWAY_FROM_RIGHT</pre>
<div class="block">An action that indicates entering a highway from the right.</div>
</li>
</ul>
<a name="ENTER_HIGHWAY_FROM_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENTER_HIGHWAY_FROM_LEFT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> ENTER_HIGHWAY_FROM_LEFT</pre>
<div class="block">An action that indicates entering a highway from the left.</div>
</li>
</ul>
<a name="ENTER_HIGHWAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENTER_HIGHWAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> ENTER_HIGHWAY</pre>
<div class="block">An action that indicates entering a highway.</div>
</li>
</ul>
<a name="LEAVE_HIGHWAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEAVE_HIGHWAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> LEAVE_HIGHWAY</pre>
<div class="block">An action that indicates leaving a highway.</div>
</li>
</ul>
<a name="CHANGE_HIGHWAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHANGE_HIGHWAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> CHANGE_HIGHWAY</pre>
<div class="block">An action that indicates changing from one highway to another.</div>
</li>
</ul>
<a name="CONTINUE_HIGHWAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTINUE_HIGHWAY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> CONTINUE_HIGHWAY</pre>
<div class="block">An action that indicates continuing along a highway.</div>
</li>
</ul>
<a name="FERRY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FERRY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> FERRY</pre>
<div class="block">An action that indicates boarding a ferry.</div>
</li>
</ul>
<a name="PASS_JUNCTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PASS_JUNCTION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> PASS_JUNCTION</pre>
<div class="block">An action that indicates passing a junction.</div>
</li>
</ul>
<a name="HEAD_TO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEAD_TO</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> HEAD_TO</pre>
<div class="block">An action that indicates heading.</div>
</li>
</ul>
<a name="PASS_STATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PASS_STATION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> PASS_STATION</pre>
<div class="block">An action that indicates passing a station.</div>
</li>
</ul>
<a name="CHANGE_LINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHANGE_LINE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> CHANGE_LINE</pre>
<div class="block">An action that indicates transit line change.</div>
</li>
</ul>
<a name="INVALID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INVALID</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> INVALID</pre>
<div class="block">An invalid action.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a>[] values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (Maneuver.Action c : Maneuver.Action.values())
    System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> valueOf(java.lang.String name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="value--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>value</h4>
<pre>public int value()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Maneuver.Action.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/Maneuver.Action.html" target="_top">Frames</a></li>
<li><a href="Maneuver.Action.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
